Aktualizacje z AUR

#1

Ustawiłem sobie w Octopi Szukaj przestarzałych pakietów w AUR i pojawiła się aktualizacja dwóch pakietów. Wykonałem. Za chwilę była aktualizacja jednego pakietu. Wykonałem, ale to nic nie dało. Powstała jakaś pętla. Nie pobieram żadnych ważnych pakietów systemowych z AUR tylko codecs64, pluginy do Gimpa, Google Earth, oraz pluginy i motywy do Gkrellm.
Co zrobić z tą permanentną aktualizacją?

#2

A jakieś dane? Wklej co podaje terminal.

#3
=> Pobieranie PKGBUILD phonon-qt4 z AUR...

x .SRCINFO
x PKGBUILD
x phonon-qt4.install
morgenstern commented on 2019-01-08 14:37

keepitsimpleengr commented on 2019-01-08 15:46

sjakub commented on 2019-01-08 16:18

bartus commented on 2019-01-08 16:55

kode54 commented on 2019-01-22 01:51

phonon-qt4 4.10.1-4 (2019-01-08 16:51)
(Niewspierany pakiet: potencjalnie niebezpieczny!)
==> Zależności phonon-qt4:

  • extra-cmake-modules (już zainstalowany) [makedepend]
  • libpulse (już zainstalowany) [makedepend]
  • qt4 (już zainstalowany) [makedepend]

==> Kontynuować budowanie phonon-qt4?[T/n]
==> --------------------------------------
==>
==> Budowanie i instalowanie pakietu
==> Tworzenie pakietu: phonon-qt4 4.10.1-4 (śro, 6 lut 2019, 20:14:20)
==> Sprawdzanie zależności potrzebnych do uruchomienia…
==> Sprawdzanie zależności potrzebnych do budowy…
==> Pobieranie źródeł…
-> Pobieranie phonon-4.10.1.tar.xz…
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 100 337 100 337 0 0 789 0 --:–:-- --:–:-- --:–:-- 787
100 314k 100 314k 0 0 355k 0 --:–:-- --:–:-- --:–:-- 355k
-> Pobieranie phonon-4.10.1.tar.xz.sig…
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0 819 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 100 819 100 819 0 0 2512 0 --:–:-- --:–:-- --:–:-- 2504
==> Sprawdzanie plików source za pomocą sha256sums…
phonon-4.10.1.tar.xz … Zgadza się
phonon-4.10.1.tar.xz.sig … Pominięto
==> Weryfikowanie podpisów plików źródłowych za pomocą gpg…
phonon-4.10.1.tar.xz … NIE ZGADZA SIĘ (nieznany klucz publiczny B92A5F04EC949121)
==> BŁĄD: Jeden lub więcej podpisów PGP nie może zostać zweryfikowanych!
==> BŁĄD:Makepkg nie był w stanie zbudować phonon-qt4.
==> Powtórzyć budowanie phonon-qt4?[t/N]
==> ------------------------------------
==>
Naciśnij dowolny klawisz, aby kontynuować…

#4

@NoRobot
NIE ZGADZA SIĘ (nieznany klucz publiczny B92A5F04EC949121)

Aktualizacja przez yaourt czy pamac?
Przy pamac automatycznie daje Ci możliwość dodania klucza, yaourt tej możliwości nie ma więc:
gpg --keyserver pgp.mit.edu --recv-keys B92A5F04EC949121

Mimo wszystko polecam aktualizację przez pamac:
pamac update -a

1 Like
#5

Dzięki :smiley: Już po sprawie. Wszystko OK :sunglasses:

#6

To standardowa sprawa. Tak jest z wieloma pakietami AUR więc warto nauczyć się dodawać kiucze gpg, żeby zastosować kiedy następny raz system wypluje info, że ich potrzebuje. A najprościej używać pamac.

#7

Co ciekawe - polecenie gpg --keyserver pgp.mit.edu --recv-keys B92A5F04EC949121 nie weszło, a pamac uporał się z tym bez problemu.

#8

Tu jest dokładniej opisane, co robi pamac by dodać klucz:
https://wiki.archlinux.org/index.php/Pacman/Package_signing#Adding_developer_keys

1 Like
#9

juz niepamietam ale na pamac jakies problemy z aurem mialem … jak dlamnie yay jest duzo lepszy i z tego co widze tez to automatycznie robi …

#10

Używam pamac’a do AUR, od kiedy ta funkcja pojawiła się w nim. Nie miałem dotychczas żadnych problemów. Oczywiście, należy brać pod uwagę taką możliwość, że trafiałem na ‘grzeczne’ pakiety i kłopoty omijały mnie, ale - póki co - przy kilku aktualizacjach w miesiącu, jest dobrze i jestem zadowolony, zarówno z wersji graficznej, jak i text’owej.

#11

A ja z pamac’a korzystam przy instalacji nowych pakietów oraz przy aktualizacji paczek z AUR. Poza tym jest on u mnie na nieustającym dyżurze, sprawdzając co kilka godzin dostępność aktualizacji, które robię na ogół przez pacmana.